<?php
error_reporting(0);
//----------
session_name('sid');
session_start();
//----------
include ('inc/config.inc.php.php');
//----------
connect_to_db();
include ('inc/autorize.php.php');
include ('inc/online.php.php');
//-----------
$partner = intval($_GET['partner']); if ($partner == 0) $partner = 1;
//----------
$g = intval($_GET['g']); if ($g == 0) $g = false;
$ts = intval($_GET['ts']); if ($ts == 0) $ts = false;
$strana = intval($_GET['g']); if ($strana == 0) $strana = false;
$city = intval($_GET['ts']); if ($city == 0) $city = false;
include ('inc/function.php');
//-----------
$arr = mysql_query("SELECT COUNT(*) FROM `love_partner`;");
$part_users = mysql_result($arr, 0);
if($partner > $part_users) $partner = 1;
//----------
$partner_arr = @mysql_query("SELECT * FROM `love_partner` WHERE `partner` = ".$partner." LIMIT 1;");
$row = @mysql_fetch_array($partner_arr);
$partner_site = $row['site'];
$partner_name = $row['name'];
//----------
$us_id = intval($user_id);
$result = @mysql_query("SELECT * FROM `love_user` WHERE `id` = ".$us_id." LIMIT 1;");
//----------
if(mysql_affected_rows() == 0) {
header('Location: index.php?partner='.$partner.'&mod='.$mod.'&'.$srand.'='.$r_rand.'&'.session_name().'='.session_id());
}
$title = 'Знакомства';
include ('header.php');
echo $header;
if($mod == '1') echo '<p align="center"><small>';
//-----------
if(isset($_GET['up'])) $up = $_GET['up']; else $up = "0";
switch ($up) {
case "0":
$arr = mysql_fetch_array($result);
$user_id = intval($arr['id']);
$user_name = $arr['name'];
$user_vozrast = intval($arr['vozrast']);
$user_gorod = intval($arr['gorod']);
$user_strana = intval($arr['strana']);
$user_foto = intval($arr['foto']);
$user_sex = intval($arr['pol']);
$user_time = $arr['time'];
$user_sexs = intval($arr['pol']);
$user_golos = intval($arr['golos']);
$user_about = $arr['about'];
$user_rost = intval($arr['rost']);
$user_ves = intval($arr['ves']);
$user_xxx = intval($arr['pol']);
$user_i_sex = $arr['i_sex'];
$admin = intval($arr['gladmin']);

$bann = intval($arr['bann']);


$regdata = $arr['regdata'];
$ip = $arr['ip'];
$browser = $arr['ua'];
//----------
if ($user_xxx == 1) {
// Размер члена
$user_chlen_grud = intval($arr['chlen_grud']);
$chlen_grud_array = array("", "до 10 см", "10-15 см", "16-20 см", "больше 20 см");
}
else
{
// Размер груди
$user_chlen_grud = intval($arr['chlen_grud']);
$chlen_grud_array = array("", "маленькая", "средняя", "большая");
}
// Ориентация
$user_orient = intval($arr['orient']);
$user_orient_array = array("", "гетеро", "би", "гей");
// Телосложение
$user_telosl = intval($arr['telosl']);
$user_telosl_array = array("", "худощавое", "обычное", "спортивное", "мускулистое", "плотное", "полное");
// Волосы
$user_cvolos = intval($arr['cvolos']);
$user_cvolos_array = array("", "светлые", "темные", "рыжие", "мелированные", "яркие", "седые", "голова бритая наголо");
//-----------
$sql = @mysql_query("SELECT * FROM `love_count_today` WHERE `uid` = ".$user_id." LIMIT 1;");
if(@mysql_affected_rows() == 0) {
@mysql_query("INSERT INTO `love_count_today` SET `uid` = '".$user_id."', `count` = '0';");
}
else
{
@mysql_query("UPDATE `love_count_today` SET `count` = `count` + 1 WHERE `uid` = ".$user_id." AND `uid` != '".intval($autorize['id'])."' LIMIT 1;");
}

$sql_m = @mysql_query("SELECT * FROM `love_count_mes` WHERE `uid` = ".$user_id." LIMIT 1;");
if(@mysql_affected_rows() == 0) {
@mysql_query("INSERT INTO `love_count_mes` SET `uid` = '".$user_id."', `count` = '0';");
}
else
{
@mysql_query("UPDATE `love_count_mes` SET `count` = `count` + 1 WHERE `uid` = ".$user_id." AND `uid` != '".intval($autorize['id'])."' LIMIT 1;");
}
//-----------
$sql = @mysql_query("SELECT * FROM `love_nastr` WHERE `uid` = ".$user_id." LIMIT 1;");
$row = @mysql_fetch_array($sql);
$row_ya_ishu = mysql_escape_string(htmlspecialchars($row['ya_ishu']));
// Состоите ли вы в браке?
$row_brak = intval($row['brak']);
$brak_array = array('', 'да, живем вместе', 'да, живем порознь', 'да, "для вида"', 'нет');
// Материальная поддержка
$row_sponsor = intval($row['sponsor']);
$sponsor_array = array('', 'хочу найти спонсора', 'готов стать спонсором', 'не нуждаюсь в спонсоре и не хочу им быть');
// дети
$row_deti = intval($row['deti']);
$deti_array = array('', 'нет', 'нет, но хотелось бы', 'есть, живем вместе', 'есть, живем порознь');
// Желаемый возраст
$row_zhel_vozr = intval($row['zhel_vozr']);
$zhel_vozr_array = array("", "менее 18", "18-20", "21-25", "26-30", "31-35", "36-40", "41-50", "51-60", "61-80", "более 80");
// Цель знакомства
$row_cel_zn = intval($row['cel_zn']);
$cel_zn_array = array("", "дружба и общение", "переписка", "любовь и отношения", "регулярный секс в двоем", "секс на один-два раза", "групповой секс", "виртуальный секс", "предлагаю интим за деньги", "ищу интим за деньги", "брак, создание семьи", "рождение, воспитание ребенка", "брак \"для вида\"", "совместная аренда жилья", "занятия спортом");
// Ищу
$user_ishu = intval($arr['ishu']);
$user_ishu_array = array("", "парнeм", "девушкой", "парнeм, девушкой", "парой М+Ж", "парой М+М", "парой Ж+Ж");
//----------
$ts = $user_gorod;
$g = $user_strana;
$ts = intval($ts);
$g = intval($g);
include ('inc/function.php');
//----------
if ($user_sex == 1) $user_sex = '[М]'; else $user_sex = '[Ж]';
echo $class_d2;
echo 'Анкета <b>'.$user_name.'</b><br/>';
echo $class_divz.$class_d0;
if($mod == '1') echo '</small></p><p align="left"><small>';
//-----------
if (!empty($bann) == 1) {
if($mod == '1') {
echo '<b>Юзер забанен!</b><br/>';
}
else
{
echo '<span style="color:#FF0000"><b>Юзер забанен!</b></span><br/>';
}
}
echo '<b>'.$user_name.', '.$user_vozrast.'</b> '.$user_sex.'<br/>';
echo $class_divz;
if (!empty($user_foto)) {
//вывод фотографии
if (opendir("./foto/".$user_id)) {
if($mod == '1') echo '</small></p><p align="center"><small>';
echo $class_d3.'<img src="foto.php?id='.$user_id.'" alt="" /><br/>';
echo '<a href="'.$PHP_SELF.'?user_id='.$us_id.'&amp;up=1&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Все фото ('.$user_foto.')</a><br/>';
echo $class_divz;
if($mod == '1') echo '</small></p><p align="left"><small>';
}
}
echo $class_d0;
echo $g.', '.$ts.'<br/>';
//------------
if ($user_sexs == 1) $user_sexs = 'Был'; else $user_sexs = 'Была';
$online_data = date("d-m-20y (h:i)", $user_time);
if ($user_time > time() - ONLINE_USER) echo 'Сейчас на сайте!<br/>'; else echo $user_sexs.' последний раз '.$online_data.'<br/>';
echo '<b>Рейтинг:</b> '.$user_golos.'<br/>';
if ($admin == 1) {
if($mod == '1') echo 'Должность: <b>Администратор</b><br/>'; else echo 'Должность: <span style="color:#FF0000"><b>Администратор</b></span><br/>';
}
if ($moder == 1) {
if($mod == '1') echo 'Должность: <b>Модератор</b><br/>'; else echo 'Должность: <span style="color:#FF0000"><b>Модератор</b></span><br/>';
}
if($mod == '1') echo '---<br/>';
//------------
echo $class_divz;
if ($user_id !== intval($autorize['id'])) {
echo $class_d1;
echo '-&#187; <a href="/golos.php?user_id='.$us_id.'&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Голосовать</a><br/>';
echo '-&#187; <a href="/messages.php?user_id='.$us_id.'&amp;up=3&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Написать сообщение</a><br/>';
echo $class_divz;
}
echo $class_d0;
if (!empty($user_about) || (!empty($user_rost)) || (!empty($user_ves) || (!empty($user_telosl) || (!empty($user_cvolos))))) {
if($mod == '1') echo '---<br/>';
echo '<b>&#187; Обо мне</b><br/>';
if (!empty($user_about)) echo $user_about.'<br/>';
if (!empty($user_rost)) echo '<b>Рост:</b> '.$user_rost.'<br/>';
if (!empty($user_ves)) echo '<b>Вес:</b> '.$user_ves.'<br/>';
if (!empty($user_telosl)) echo '<b>Телосложение:</b> '.$user_telosl_array[$user_telosl].'<br/>';
if (!empty($user_telosl)) echo '<b>Волосы:</b> '.$user_cvolos_array[$user_cvolos].'<br/>';
if($mod == '1') echo '---<br/>';
echo $class_divz.$class_d0;
echo '-&#187; <a href="'.$PHP_SELF.'?user_id='.$us_id.'&amp;zn=1&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Знакомства</a><br/>';
}
else
{
echo '-&#187; <a href="'.$PHP_SELF.'?user_id='.$us_id.'&amp;zn=1&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Знакомства</a><br/>';
}
if ($zn == 1) {
if($mod == '1') echo '---<br/>';
echo '<b>&#187; Знакомства</b><br/>';
if (!empty($user_ishu)) echo '<b>Познакомлюсь c:</b> '.$user_ishu_array[$user_ishu].'<br/>';
if (!empty($row_zhel_vozr)) echo '<b>Желаемый возраст:</b> '.$zhel_vozr_array[$row_zhel_vozr].'<br/>';
if (!empty($row_ya_ishu)) echo '<b>Кого я хочу найти:</b> '.$row_ya_ishu.'<br/>';
if (!empty($row_cel_zn)) echo '<b>Цель знакомства:</b> '.$cel_zn_array[$row_cel_zn].'<br/>';
if (!empty($row_brak)) echo '<b>Состоите ли вы в браке?:</b> '.$brak_array[$row_brak].'<br/>';
if (!empty($row_sponsor)) echo '<b>Материальная поддержка:</b> '.$sponsor_array[$row_sponsor].'<br/>';
if (!empty($row_deti)) echo '<b>Есть ли у вас дети?:</b> '.$deti_array[$row_deti].'<br/>';
if($mod == '1') {echo '---<br/>';}
echo '&#171;- <a href="'.$PHP_SELF.'?user_id='.$us_id.'&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Назад</a><br/>';
}
echo $class_divz;
if (!empty($user_orient) || (!empty($user_chlen_grud)) || (!empty($user_i_sex))) echo $class_d0.'-&#187; <a href="'.$PHP_SELF.'?user_id='.$us_id.'&amp;sex=1&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Сексуальные предпочтения</a><br/>'.$class_divz;
if ($sex == '1') {
echo $class_d0;
echo '<b>&#187; Сексуальные предпочтения</b><br/>';
if (!empty($user_orient)) echo '<b>Ориентация:</b> '.$user_orient_array[$user_orient].'<br/>';
if ($user_xxx == 1) {
if (!empty($user_chlen_grud)) echo '<b>Размер члена:</b> '.$chlen_grud_array[$user_chlen_grud].'<br/>';
}
else
{
if (!empty($user_chlen_grud)) echo '<b>Размер груди:</b> '.$chlen_grud_array[$user_chlen_grud].'<br/>';
}
if (!empty($user_i_sex)) echo '<b>В сексе я люблю:</b> '.$user_i_sex.'<br/>';
echo '&#171;- <a href="'.$PHP_SELF.'?user_id='.$us_id.'&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Назад</a><br/>';
echo $class_divz;
}

if (!empty($user_foto)) {
echo $class_d0;
echo '-&#187; <a href="'.$PHP_SELF.'?user_id='.$us_id.'&amp;up=1&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Фотоальбом ('.$user_foto.')</a><br/>';
echo $class_divz;
}
if($mod == '1') echo '---<br/>';
if ((intval($autorize['gladmin']) == 1) && $user_id != intval($autorize['id']))
{
           echo $class_d0;
           echo '- Дата регистрации: <b>'.$regdata.'</b><br/>';
           echo '- IP: <b>'.$ip.'</b><br/>';
           echo '- Браузер: <b>'.$browser.'</b><br/>';
           if($mod == '1') echo '---<br/>';
           echo '-&#187; <a href="/administrator/admins.php?id='.$us_id.'&amp;up=2&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Удалить юзера</a><br/>';
           echo '-&#187; <a href="/administrator/admins.php?id='.$us_id.'&amp;up=3&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Забанить юзера</a><br/>';
           echo '-&#187; <a href="/administrator/admins.php?id='.$us_id.'&amp;up=4&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Разбанить юзера</a><br/>';
           if($mod == '1') echo '---<br/>';
           echo $class_divz;
}
break;


case "1":
if (!$autorize) {
echo $class_d2;
echo 'Ограничения...<br/>';
echo $class_divz.$class_d0;
if($mod == '1') {
echo '</small></p><p align="left"><small>';
echo '<u>Вы не можете общаться с другими пользователями, голосовать, смотреть и устанавливать фото!</u><br/>';
}
else
{
echo '<span style="color:#000000">Вы не можете общаться с другими пользователями, голосовать, смотреть и устанавливать фото!</span><br/>';
}
echo 'Возможные причины:<br/>';
echo '- Вы не зарегистрированы - <a href="http://'.$_SERVER['HTTP_HOST'].'/reg.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Регистрируйтесь</a><br/>';
echo '- Вы не вошли в систему - <a href="http://'.$_SERVER['HTTP_HOST'].'/auth.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Войти</a><br/>';
if($mod == '1') echo '---<br/>';
echo $class_divz.$class_d0;
echo '&#171;- <a href="'.$PHP_SELF.'?user_id='.$us_id.'&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Назад</a><br/>';
if($mod == '1') echo '---<br/>';
echo $class_divz.$class_d1;
echo '[7] <a href="http://'.$_SERVER['HTTP_HOST'].'/index.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="7">Поиск</a> [8] <a href="http://'.$_SERVER['HTTP_HOST'].'/auth.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="8">Вход</a> [9] <a href="http://'.$_SERVER['HTTP_HOST'].'/reg.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="9">Регистрация</a><br/>';
if($mod == '1') echo '</small></p><p align="center"><small>';
echo $class_divz.$class_d2;
echo $class_divz.$class_d2.$class_version.$class_divz.$class_div;
echo $class_endpage;
exit();
}

$arr = @mysql_query("SELECT * FROM `love_user` WHERE `id` = ".$us_id." LIMIT 1;");
$row = @mysql_fetch_array($arr);
$user_id = $row['id'];
$user_name = $row['name'];
$user_photos = $row['foto'];
echo $class_d2;
echo 'Фотоальбом <b>'.$user_name.'</b><br/>';
echo $class_divz;
if($mod == '1') echo '</small></p><p align="left"><small>';
//if($user_photos == 0) 
if (empty($user_photos)) echo $class_d0.'Фотографий нет!<br/>'.$class_divz;
$dir = opendir("./foto/".$user_id);
if(readdir($dir)) {
while($read = readdir($dir)) {
if($read != "." && $read != ".." && $read != "Thumbs.db") {
//считываем картинку унаем размер,вес
$arr = getimagesize("./foto/".$user_id."/".$read);
//0 ширина 1 высота 4 размер
$filesize = filesize("./foto/".$user_id."/".$read);
$k = $filesize/1024;
$kb = round($k,2);
$fname = strtok($read, '.');
if($mod == '1') {
echo '<table>';
echo '<tr>';
echo '<td align="left">';
echo'<img src="/fotoalbom.php?id='.$user_id.'&amp;read='.$read.'" alt="'.$fname.'" /><br/>';
echo '</td>';
echo '<td align="left">';
echo '<a href="/save.php?id='.$user_id.'&amp;f='.$read.'">Cкачать оригинал</a> ['.$arr[0].'x'.$arr[1].'] '.$kb.'кб<br/>';
if (@$go !== 'go') {
echo 'Другое:<br/>';
echo '<select size="1" name="nm">';
for($i = 1; $i <= 9; $i++)
{
$razr_array = array("", "128x128", "128x160", "132x176", "176x144", "176x208", "176x220", "208x208", "240x266", "240x320");
echo '<option value="'.$i.'">'.$razr_array[$i].'</option>';
}
echo '</select> ';
echo '<anchor>Скачать<go href="other.php?up=1&amp;id='.$user_id.'&amp;read='.$read.'&amp;go=go&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" method="post">';
echo "<postfield name='nm' value='$(nm)' />";
echo '</go></anchor><br/>';
}
echo '</td>';
echo '</tr>';
echo '</table>';
}
else
{
echo $class_d0;
echo '<table class="img-container">';
echo '<tr>';
echo '<td class="img-container">';
echo'<img src="/fotoalbom.php?id='.$user_id.'&amp;read='.$read.'" alt="'.$fname.'" /><br/>';
echo '</td>';
echo '<td class="txt-container">';
echo '<a href="/save.php?id='.$user_id.'&amp;f='.$read.'">Cкачать оригинал</a> ['.$arr[0].'x'.$arr[1].'] '.$kb.'кб<br/>';
if (@$go !== 'go') {
echo '<form action="other.php?up=1&amp;id='.$user_id.'&amp;read='.$read.'&amp;go=go&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" method="post">';
echo 'Другое:<br/>';
echo '<select size="1" name="nm" class="button">';
for($i = 1; $i <= 9; $i++)
{
$razr_array = array("", "128x128", "128x160", "132x176", "176x144", "176x208", "176x220", "208x208", "240x266", "240x320");
echo '<option value="'.$i.'">'.$razr_array[$i].'</option>';
}
echo '</select> ';
echo '<input type="submit" value="Скачать" class="do_button" />';
echo '</form>';
}
echo '</td>';
echo '</tr>';
echo '</table>';
echo $class_divz;
}
}		    
}
echo $class_d0;
if($mod == '1') echo '---<br/>';
echo '&#171;- <a href="'.$PHP_SELF.'?user_id='.$user_id.'&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Назад</a><br/>';
if($mod == '1') echo '---<br/>';
echo $class_divz;
}
break;
}
echo $class_d1;
if (!$autorize) {
echo '[7] <a href="http://'.$_SERVER['HTTP_HOST'].'/index.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="7">Поиск</a> [8] <a href="http://'.$_SERVER['HTTP_HOST'].'/auth.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="8">Вход</a> [9] <a href="http://'.$_SERVER['HTTP_HOST'].'/reg.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="9">Регистрация</a><br/>';
}
else
{
echo '[7] <a href="http://'.$_SERVER['HTTP_HOST'].'/index.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="7">Поиск</a> [8] <a href="http://'.$_SERVER['HTTP_HOST'].'/menu.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="8">Личное меню</a> [9] <a href="http://'.$_SERVER['HTTP_HOST'].'/out.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="9">Выход</a><br/>';
}
if($mod == '1') echo '</small></p><p align="center"><small>';
echo $class_divz.$class_d2;
echo $class_divz.$class_d2.$class_version.$class_divz.$class_div;
echo $class_endpage;

?>